using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;
using IRaCIS.Core.Domain.Share;
using Newtonsoft.Json;

namespace IRaCIS.Core.Domain.Models
{
	 ///<summary>
	 ///TrialConfigDictionary
	 ///</summary>
	 [Table("TrialConfigDictionary")]	
	 public class TrialConfigDictionary : Entity, IAuditAdd
	 {	
		/// <summary>
        /// TrialId
        /// </summary>
		public Guid TrialId { get; set; }
	
		/// <summary>
        /// DictionaryId
        /// </summary>
		public Guid DictionaryId { get; set; }
	
		/// <summary>
        /// CreateTime
        /// </summary>
		public DateTime CreateTime { get; set; }
	
		/// <summary>
        /// CreateUserId
        /// </summary>
		public Guid CreateUserId { get; set; }

		[JsonIgnore]
		[ForeignKey("DictionaryId")]
		public Dictionary Dictionary { get; set; }

	}

	
}	 
